## org.pentaho.reporting.libraries.repository.email
Class EmailEntryOutputStream

    java.lang.Object
      java.io.OutputStream
          org.pentaho.reporting.libraries.repository.email.EmailEntryOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class EmailEntryOutputStream

extends java.io.OutputStream

Creation-Date: 17.09.2008, 15:00:00

Author:
  Pedro Alves - WebDetails

Constructor Summary
`EmailEntryOutputStream(EmailContentItem item)`

Method Summary
`void` `close()`
`void` `flush()`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailEntryOutputStream

    public EmailEntryOutputStream(EmailContentItem item)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`